Get device​
GET
/devices/{id}
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Path Parameters
id*
Model id
Type
Requiredstring
Format
"JSON"Query Parameters
filter
Filter defining fields and include - must be a JSON-encoded string ({"something":"value"})
Type
string
Format
"JSON"GET
/devices/{id}
Request example
Responses​
Body (JSON)
application/json
JSON"imei": "string","iccid": "string","loraId": 0,"imsi": "string","btMac": 0,"btMacAddress": "string","uwbId": 0,"serial": "string","type": "string","expires": "string","lastConnection": "string","firstSeen": "string","mode": "default","name": "string","batteryVoltage": 0,"batteryPct": 0,"batteryType": "LIO","tags": ["string"],"currentMode": 0,"color": "fc7c3d","saveToWeb": false,"active": false,"deepSleep": false,"simstate": "active","stripeSubscription": "string","subscriptionType": "string","meta": {},"siloId": 0,"resellerId": 0,"btPasskey": 0,"simType": "JT","id": 0,"ownerId": 0,"resellerPlanId": 0,"onoWhitelistId": 0
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}
Try this endpoint
Playground​
Authorization
Variables
Key
Value
OpenAPI definition ​
References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).
View endpoint OpenAPI definition
yaml
openapi: 3.1.0
info:
version: 1.1.0
title: TrackingAPI
description: V1 API for retrieving tracking data and changing settings on Lightbug devices
servers:
- url: https://api.lightbug.cloud/api
externalDocs: {}
security:
- ApiKeyAuth: []
tags:
- name: device
paths:
/devices/{id}:
get:
tags:
- device
summary: Get device
parameters:
- name: id
in: path
description: Model id
required: true
schema:
type: string
format: JSON
- name: filter
description: Filter defining fields and include - must be a JSON-encoded string ({"something":"value"})
in: query
required: false
schema:
type: string
format: JSON
responses:'200':
yaml
description: Body (JSON)
content:
application/json:
schema:
properties:
imei:
maxLength: 15
type: string
iccid:
type: string
loraId:
type: number
format: ''
imsi:
type: string
btMac:
description: Bluetooth MAC Address as 48bit number
type: number
format: ''
btMacAddress:
maxLength: 17
description: Bluetooth MAC Address in standard format
type: string
uwbId:
description: UWB Address as 32bit number
type: number
format: ''
serial:
type: string
type:
type: string
expires:
type: string
format: date-time
lastConnection:
type: string
format: date-time
firstSeen:
type: string
format: date-time
mode:
default: default
type: string
name:
type: string
batteryVoltage:
type: number
format: ''
batteryPct:
type: number
format: ''
batteryType:
default: LIO
type: string
tags:
type: array
items:
type: string
currentMode:
description: Indicates last known device state. 0 = awake, 1 = sleep, 6 = flight mode
type: number
format: ''
color:
default: fc7c3d
type: string
saveToWeb:
default: false
type: boolean
active:
default: false
type: boolean
deepSleep:
default: false
type: boolean
simstate:
default: active
type: string
stripeSubscription:
type: string
subscriptionType:
type: string
meta:
type: object
siloId:
type: number
format: ''
resellerId:
type: number
format: ''
btPasskey:
type: number
format: ''
simType:
default: JT
type: string
id:
type: number
format: ''
ownerId:
type: number
format: ''
resellerPlanId:
type: number
format: ''
onoWhitelistId:
type: number
format: ''
required:
- firstSeen
type: objectyaml
deprecated: false
security:
- ApiKeyAuth: []
operationId: get-devices-id
components:
securitySchemes:
ApiKeyAuth:
in: header
name: Authorization
type: apiKey
description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...